Browse Source

requirements: molecule is not for dev

it will be used to create machines via molecule create
keep-around/5d8be3a7915fa5de8b9df95ef40320eb2d90973d
singuliere 2 years ago
parent
commit
ae3a2d2853
No known key found for this signature in database GPG Key ID: 900857755EF189C2
  1. 3
      requirements-dev.in
  2. 15
      requirements-dev.txt
  3. 7
      requirements.in
  4. 47
      requirements.txt

3
requirements-dev.in

@ -1,11 +1,10 @@
coverage==4.5
flake8==3.5
mock==2.0.0
molecule==2.16.0
pip-tools==3.5.0
pytest==4.4.0
pytest-cov==2.6.1
pytest-django==3.4.8
sphinx==1.8.2
testinfra==1.14.0
tox==3.5
twine==1.13.0

15
requirements-dev.txt

@ -17,6 +17,7 @@ attrs==18.2.0 # via pytest
babel==2.6.0 # via sphinx
bcrypt==3.1.5 # via paramiko
binaryornot==0.4.4 # via cookiecutter
bleach==3.1.0 # via readme-renderer
cached-property==1.5.1 # via docker-compose
cerberus==1.2 # via molecule
certifi==2018.11.29 # via requests
@ -38,7 +39,7 @@ docker-pycreds==0.4.0 # via docker
docker[ssh]==3.7.2
dockerpty==0.4.1 # via docker-compose
docopt==0.6.2 # via docker-compose
docutils==0.14 # via sphinx
docutils==0.14 # via readme-renderer, sphinx
dogpile.cache==0.6.8 # via openstacksdk
fasteners==0.14.1 # via python-gilt
filelock==3.0.10 # via tox
@ -73,6 +74,7 @@ pathspec==0.5.9 # via yamllint
pbr==4.0.4 # via cliff, git-url-parse, keystoneauth1, mock, molecule, openstacksdk, os-service-types, python-gilt, shade, stevedore
pexpect==4.6.0 # via molecule
pip-tools==3.5.0
pkginfo==1.5.0.1 # via twine
pluggy==0.9.0 # via pytest, tox
poyo==0.4.2 # via cookiecutter
prettytable==0.7.2 # via cliff
@ -83,7 +85,7 @@ pyasn1==0.4.5 # via paramiko
pycodestyle==2.3.1 # via flake8
pycparser==2.19 # via cffi
pyflakes==1.6.0 # via flake8
pygments==2.3.1 # via sphinx
pygments==2.3.1 # via readme-renderer, sphinx
pynacl==1.3.0 # via paramiko
pyparsing==2.3.0 # via cliff, cmd2, packaging
pyperclip==1.7.0 # via cmd2
@ -94,11 +96,13 @@ python-dateutil==2.7.5 # via arrow
python-gilt==1.2.1 # via molecule
pytz==2018.9 # via babel, django
pyyaml==3.12 # via ansible, ansible-lint, cliff, docker-compose, molecule, openstacksdk, python-gilt, yamllint
requests==2.20.1 # via cookiecutter, docker, docker-compose, keystoneauth1, sphinx
readme-renderer==24.0 # via twine
requests-toolbelt==0.9.1 # via twine
requests==2.20.1 # via cookiecutter, docker, docker-compose, keystoneauth1, requests-toolbelt, sphinx, twine
requestsexceptions==1.4.0 # via openstacksdk
sh==1.12.14
shade==1.30.0
six==1.11.0 # via ansible-lint, bcrypt, click-completion, cliff, cmd2, cryptography, docker, docker-compose, docker-pycreds, dockerpty, fasteners, keystoneauth1, mock, molecule, more-itertools, munch, openstacksdk, packaging, pip-tools, pynacl, pytest, python-dateutil, sphinx, stevedore, testinfra, tox, websocket-client
six==1.11.0 # via ansible-lint, bcrypt, bleach, click-completion, cliff, cmd2, cryptography, docker, docker-compose, docker-pycreds, dockerpty, fasteners, keystoneauth1, mock, molecule, more-itertools, munch, openstacksdk, packaging, pip-tools, pynacl, pytest, python-dateutil, readme-renderer, sphinx, stevedore, testinfra, tox, websocket-client
snowballstemmer==1.2.1 # via sphinx
sphinx==1.8.2
sphinxcontrib-websupport==1.1.0 # via sphinx
@ -109,10 +113,13 @@ testinfra==1.14.0
texttable==0.9.1 # via docker-compose
toml==0.10.0 # via tox
tox==3.5
tqdm==4.31.1 # via twine
tree-format==0.1.2 # via molecule
twine==1.13.0
urllib3==1.24.1 # via requests
virtualenv==16.2.0 # via tox
wcwidth==0.1.7 # via cmd2
webencodings==0.5.1 # via bleach
websocket-client==0.56.0 # via docker, docker-compose
whichcraft==0.5.2 # via cookiecutter
yamllint==1.11.1 # via molecule

7
requirements.in

@ -6,7 +6,14 @@ docker
docker-compose
-e git+https://github.com/fmnisme/python-icinga2api.git@9a1a3cc7968d6c72bf49e97ef387b2824e6835e9#egg=icinga2api
jinja2>=1.1
molecule==2.16.0
netaddr==0.7.19
openstacksdk==0.22.0
#
# pytest is required otherwise molecule will indirectly pull an ancient version that will create problems when
# running tox, if specified in requirements-dev.in because egg-info will have a conflicting version.
# This should be removed at some point.
#
pytest==4.4.0
sh>=1.12
shade==1.30.0

47
requirements.txt

@ -5,16 +5,27 @@
# pip-compile --output-file requirements.txt requirements.in
#
-e git+https://github.com/fmnisme/python-icinga2api.git@9a1a3cc7968d6c72bf49e97ef387b2824e6835e9#egg=icinga2api
ansible-lint==3.4.23 # via molecule
ansible==2.7.5
anyconfig==0.9.4 # via molecule
appdirs==1.4.3 # via openstacksdk, os-client-config
arrow==0.13.1 # via jinja2-time
asn1crypto==0.23.0 # via cryptography
atomicwrites==1.3.0 # via pytest
attrs==19.1.0 # via pytest
bcrypt==3.1.3 # via paramiko
binaryornot==0.4.4 # via cookiecutter
cached-property==1.5.1 # via docker-compose
cerberus==1.2 # via molecule
certifi==2017.7.27.1 # via requests
cffi==1.11.0 # via bcrypt, cryptography, pynacl
chardet==3.0.4 # via requests
chardet==3.0.4 # via binaryornot, requests
click-completion==0.3.1 # via molecule
click==6.7 # via click-completion, cookiecutter, molecule, python-gilt
cliff==2.14.0
cmd2==0.8.9 # via cliff
colorama==0.3.9 # via molecule, python-gilt
cookiecutter==1.6.0 # via molecule
cryptography==2.4.2 # via ansible, openstacksdk, paramiko
decorator==4.1.2 # via openstacksdk
django==2.2
@ -25,8 +36,13 @@ docker[ssh]==3.7.2
dockerpty==0.4.1 # via docker-compose
docopt==0.6.2 # via docker-compose
dogpile.cache==0.6.4 # via openstacksdk
fasteners==0.14.1 # via python-gilt
flake8==3.5.0 # via molecule
future==0.17.1 # via cookiecutter
git-url-parse==1.2.2 # via python-gilt
idna==2.6 # via cryptography, requests
iso8601==0.1.12 # via keystoneauth1, openstacksdk
jinja2-time==0.2.0 # via cookiecutter
jinja2==2.10
jmespath==0.9.3 # via openstacksdk
jsonpatch==1.16 # via openstacksdk
@ -34,6 +50,10 @@ jsonpointer==1.12 # via jsonpatch
jsonschema==2.6.0 # via docker-compose
keystoneauth1==3.11.2 # via openstacksdk, os-client-config
markupsafe==1.0 # via jinja2
mccabe==0.6.1 # via flake8
molecule==2.16.0
monotonic==1.5 # via fasteners
more-itertools==7.0.0 # via pytest
munch==2.2.0 # via openstacksdk
netaddr==0.7.19
netifaces==0.10.6 # via openstacksdk
@ -41,23 +61,40 @@ openstacksdk==0.22.0
os-client-config==1.28.0 # via shade
os-service-types==1.4.0 # via keystoneauth1, openstacksdk
paramiko==2.4.2 # via ansible, docker
pbr==4.0.4 # via cliff, keystoneauth1, openstacksdk, os-service-types, shade, stevedore
pathspec==0.5.9 # via yamllint
pbr==4.0.4 # via cliff, git-url-parse, keystoneauth1, molecule, openstacksdk, os-service-types, python-gilt, shade, stevedore
pexpect==4.6.0 # via molecule
pluggy==0.9.0 # via pytest
poyo==0.4.2 # via cookiecutter
prettytable==0.7.2 # via cliff
psutil==5.4.6 # via molecule
ptyprocess==0.6.0 # via pexpect
py==1.8.0 # via pytest
pyasn1==0.3.6 # via paramiko
pycodestyle==2.3.1 # via flake8
pycparser==2.18 # via cffi
pyflakes==1.6.0 # via flake8
pynacl==1.1.2 # via paramiko
pyparsing==2.3.0 # via cliff, cmd2
pyperclip==1.7.0 # via cmd2
pytest==4.4.0
python-dateutil==2.8.0 # via arrow
python-gilt==1.2.1 # via molecule
pytz==2018.9 # via django
pyyaml==3.12 # via ansible, cliff, docker-compose, openstacksdk, os-client-config
requests==2.20.1 # via docker, docker-compose, keystoneauth1
pyyaml==3.12 # via ansible, ansible-lint, cliff, docker-compose, molecule, openstacksdk, os-client-config, python-gilt, yamllint
requests==2.20.1 # via cookiecutter, docker, docker-compose, keystoneauth1
requestsexceptions==1.3.0 # via openstacksdk, os-client-config
sh==1.12.14
shade==1.30.0
six==1.11.0 # via bcrypt, cliff, cmd2, cryptography, docker, docker-compose, docker-pycreds, dockerpty, keystoneauth1, munch, openstacksdk, pynacl, stevedore, websocket-client
six==1.11.0 # via ansible-lint, bcrypt, click-completion, cliff, cmd2, cryptography, docker, docker-compose, docker-pycreds, dockerpty, fasteners, keystoneauth1, molecule, munch, openstacksdk, pynacl, pytest, python-dateutil, stevedore, testinfra, websocket-client
sqlparse==0.3.0 # via django
stevedore==1.26.0 # via cliff, keystoneauth1
tabulate==0.8.2 # via molecule
testinfra==1.14.0 # via molecule
texttable==0.9.1 # via docker-compose
tree-format==0.1.2 # via molecule
urllib3==1.22 # via requests
wcwidth==0.1.7 # via cmd2
websocket-client==0.56.0 # via docker, docker-compose
whichcraft==0.5.2 # via cookiecutter
yamllint==1.11.1 # via molecule
Loading…
Cancel
Save